net.snowflake.client.jdbc.telemetryV2

## Class TelemetryEvent.MetricBuilder

- java.lang.Object
- - net.snowflake.client.jdbc.telemetryV2.TelemetryEvent.MetricBuilder

Enclosing class:
  TelemetryEvent

    public static class TelemetryEvent.MetricBuilder
    extends Object

Build metric json object

### Constructor Summary

Constructors
Constructor and Description
`MetricBuilder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`TelemetryEvent` `build()`
`TelemetryEvent.MetricBuilder` `withException(Exception ex)`
`TelemetryEvent.MetricBuilder` `withValue(float value)`
`TelemetryEvent.MetricBuilder` `withValue(int value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MetricBuilder

    public MetricBuilder()

### Method Detail

#### withException

    public TelemetryEvent.MetricBuilder withException(Exception ex)

#### withValue

    public TelemetryEvent.MetricBuilder withValue(int value)

#### withValue

    public TelemetryEvent.MetricBuilder withValue(float value)

#### build

    public TelemetryEvent build()